## org.codehaus.groovy.ant
Class CompileTaskSupport

Support for compilation related tasks.

version:
  $Id: CompileTaskSupport.java 8071 2007-09-13 17:58:02Z blackdrag $

author:
  Jason Dillon

Field Summary
`Path` | `classpath`
`CompilerConfiguration` | `config`
`File` | `destdir`
`boolean` | `failOnError`
`LoggingHelper` | `log`
`Path` | `src`

Constructor Summary
`CompileTaskSupport()`

Method Summary
`void` | `compile()`
`GroovyClassLoader` | `createClassLoader()`
`Path` | `createClasspath()`
`CompilerConfiguration` | `createConfiguration()`
`Path` | `createSrc()`
`void` | `execute()`
`Path` | `getClasspath()`
`boolean` | `getFailonerror()`
`Path` | `getSrcdir()`
`void` | `handleException(Exception e)`
`void` | `setClasspath(Path path)`
`void` | `setClasspathRef(Reference r)`
`void` | `setDestdir(File dir)`
`void` | `setFailonerror(boolean fail)`
`void` | `setSrcdir(Path dir)`
`void` | `validate()`

Constructor Detail

### CompileTaskSupport

    CompileTaskSupport()

Method Detail

### compile

    void compile()

### createClassLoader

    GroovyClassLoader createClassLoader()

### createClasspath

    public Path createClasspath()

### createConfiguration

    public CompilerConfiguration createConfiguration()

### createSrc

    public Path createSrc()

### execute

    public void execute()

### getClasspath

    public Path getClasspath()

### getFailonerror

    public boolean getFailonerror()

### getSrcdir

    public Path getSrcdir()

### handleException

    void handleException(Exception e)

### setClasspath

    public void setClasspath(Path path)

### setClasspathRef

    public void setClasspathRef(Reference r)

### setDestdir

    public void setDestdir(File dir)

### setFailonerror

    public void setFailonerror(boolean fail)

### setSrcdir

    public void setSrcdir(Path dir)

### validate

    void validate()